"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const composables_1 = require("../composables");
const Valine_1 = require("./Valine");
exports.default = vue_1.defineComponent({
    components: { Valine: Valine_1.default },
    props: {
        hideComments: {
            type: Boolean,
            default: true
        }
    },
    setup(props) {
        const { solution, options } = composables_1.useComment();
        const { hideComments } = vue_1.toRefs(props);
        const componentName = solution.value === 'valine'
            ? Valine_1.default
            : '';
        return () => (componentName ? vue_1.h(componentName, {
            options: options.value,
            style: `display: ${hideComments.value ? 'none' : 'block'}`
        }) : null);
    }
});
